digiKam Developer Documentation: Digikam::ItemMarkerTiler Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::ItemMarkerTiler Class Reference
Inheritance diagram for Digikam::ItemMarkerTiler:

## Public Member Functions
| ItemMarkerTiler (GeoModelHelper *const modelHelper, QObject *const parent=nullptr)
void | addMarkerIndexToGrid (const QPersistentModelIndex &markerIndex)
QVariant | bestRepresentativeIndexFromList (const QList< QVariant > &indices, const int sortKey) override
GeoGroupState | getGlobalGroupState () override
Tile * | getTile (const TileIndex &tileIndex, const bool stopIfEmpty) override
GeoGroupState | getTileGroupState (const TileIndex &tileIndex) override
int | getTileMarkerCount (const TileIndex &tileIndex) override
QVariant | getTileRepresentativeMarker (const TileIndex &tileIndex, const int sortKey) override
| These should be implemented for thumbnail handling.
int | getTileSelectedCount (const TileIndex &tileIndex) override
bool | indicesEqual (const QVariant &a, const QVariant &b) const override
void | onIndicesClicked (const ClickInfo &clickInfo) override
| These can be implemented if you want to react to actions in geolocation interface.
void | onIndicesMoved (const TileIndex::List &tileIndicesList, const GeoCoordinates &targetCoordinates, const QPersistentModelIndex &targetSnapIndex) override
QPixmap | pixmapFromRepresentativeIndex (const QVariant &index, const QSize &size) override
void | prepareTiles (const GeoCoordinates &upperLeft, const GeoCoordinates &lowerRight, int level) override
void | regenerateTiles () override
void | removeMarkerIndexFromGrid (const QModelIndex &markerIndex, const bool ignoreSelection=false)
| Remove a marker from the grid.
void | setActive (const bool state) override
void | setMarkerGeoModelHelper (GeoModelHelper *const modelHelper)
Tile * | tileNew () override
TilerFlags | tilerFlags () const override
| These have to be implemented.
Public Member Functions inherited from Digikam::AbstractMarkerTiler
| AbstractMarkerTiler (QObject *const parent=nullptr)
bool | indicesEqual (const QIntList &a, const QIntList &b, const int upToLevel) const
bool | isDirty () const
void | resetRootTile ()
Tile * | rootTile ()
void | setDirty (const bool state=true)

## Additional Inherited Members
Public Types inherited from Digikam::AbstractMarkerTiler
enum | TilerFlag { FlagNull = 0 , FlagMovable = 1 }
typedef QFlags< TilerFlag > | TilerFlags
Signals inherited from Digikam::AbstractMarkerTiler
void | signalThumbnailAvailableForIndex (const QVariant &index, const QPixmap &pixmap)
void | signalTilesOrSelectionChanged ()

## Member Function Documentation

## ◆ bestRepresentativeIndexFromList()

QVariant Digikam::ItemMarkerTiler::bestRepresentativeIndexFromList | ( | const QList< QVariant > & | indices,
|  | const int | sortKey
| ) |  |
| overridevirtual

Implements Digikam::AbstractMarkerTiler.

## ◆ getGlobalGroupState()

GeoGroupState Digikam::ItemMarkerTiler::getGlobalGroupState | ( |  | ) |
| overridevirtual

Implements Digikam::AbstractMarkerTiler.

## ◆ getTile()

AbstractMarkerTiler::Tile * Digikam::ItemMarkerTiler::getTile | ( | const TileIndex & | tileIndex,
|  | const bool | stopIfEmpty
| ) |  |
| overridevirtual

Implements Digikam::AbstractMarkerTiler.

## ◆ getTileGroupState()

GeoGroupState Digikam::ItemMarkerTiler::getTileGroupState | ( | const TileIndex & | tileIndex | ) |
| overridevirtual

Implements Digikam::AbstractMarkerTiler.

## ◆ getTileMarkerCount()

int Digikam::ItemMarkerTiler::getTileMarkerCount | ( | const TileIndex & | tileIndex | ) |
| overridevirtual

Implements Digikam::AbstractMarkerTiler.

## ◆ getTileRepresentativeMarker()

QVariant Digikam::ItemMarkerTiler::getTileRepresentativeMarker | ( | const TileIndex & | tileIndex,
|  | const int | sortKey
| ) |  |
| overridevirtual

Implements Digikam::AbstractMarkerTiler.

## ◆ getTileSelectedCount()

int Digikam::ItemMarkerTiler::getTileSelectedCount | ( | const TileIndex & | tileIndex | ) |
| overridevirtual

Implements Digikam::AbstractMarkerTiler.

## ◆ indicesEqual()

bool Digikam::ItemMarkerTiler::indicesEqual | ( | const QVariant & | a,
|  | const QVariant & | b
| ) |  | const
| overridevirtual

Implements Digikam::AbstractMarkerTiler.

## ◆ onIndicesClicked()

void Digikam::ItemMarkerTiler::onIndicesClicked | ( | const ClickInfo & | clickInfo | ) |
| overridevirtual

Reimplemented from Digikam::AbstractMarkerTiler.

## ◆ onIndicesMoved()

void Digikam::ItemMarkerTiler::onIndicesMoved | ( | const TileIndex::List & | tileIndicesList,
|  | const GeoCoordinates & | targetCoordinates,
|  | const QPersistentModelIndex & | targetSnapIndex
| ) |  |
| overridevirtual

Reimplemented from Digikam::AbstractMarkerTiler.

## ◆ pixmapFromRepresentativeIndex()

QPixmap Digikam::ItemMarkerTiler::pixmapFromRepresentativeIndex | ( | const QVariant & | index,
|  | const QSize & | size
| ) |  |
| overridevirtual

Implements Digikam::AbstractMarkerTiler.

## ◆ prepareTiles()

void Digikam::ItemMarkerTiler::prepareTiles | ( | const GeoCoordinates & | upperLeft,
|  | const GeoCoordinates & | lowerRight,
|  | int | level
| ) |  |
| overridevirtual

Implements Digikam::AbstractMarkerTiler.

## ◆ regenerateTiles()

void Digikam::ItemMarkerTiler::regenerateTiles | ( |  | ) |
| overridevirtual

Implements Digikam::AbstractMarkerTiler.

## ◆ removeMarkerIndexFromGrid()

void Digikam::ItemMarkerTiler::removeMarkerIndexFromGrid | ( | const QModelIndex & | markerIndex,
|  | const bool | ignoreSelection = `false`
| ) |  |

Parameters

  markerIndex | The marker index to remove
  ignoreSelection | Do not remove the marker from the count of selected items. This is only used by slotSourceModelRowsAboutToBeRemoved internally, because the selection model sends us an extra signal about the deselection.

## ◆ setActive()

void Digikam::ItemMarkerTiler::setActive | ( | const bool | state | ) |
| overridevirtual

Implements Digikam::AbstractMarkerTiler.

## ◆ tileNew()

AbstractMarkerTiler::Tile * Digikam::ItemMarkerTiler::tileNew | ( |  | ) |
| overridevirtual

Implements Digikam::AbstractMarkerTiler.

## ◆ tilerFlags()

AbstractMarkerTiler::TilerFlags Digikam::ItemMarkerTiler::tilerFlags | ( |  | ) | const
| overridevirtual

Reimplemented from Digikam::AbstractMarkerTiler.